# Prevoty

The Prevoty REST API is the easiest way for individuals and organizations to
prevent cross-site scripting (XSS) attacks in their web applications. The API
has been designed to provide simple access to the powerful content analysis
systems and intelligence tools that Prevoty has developed.

## Installation

Add this line to your application's Gemfile:

    gem 'prevoty'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install prevoty

## Usage

1. Pull a copy or .zip/.tar of this repository
2. Make sure you have a v1 API key (shown at the bottom of the API Keys page in Prevoty Manager Console)
3. Edit `example.rb` - you will want to put in your API and policy configuration keys (from the Security 
Policies page in Prevoty Manager Console, not to be confused with the keys from the Plugin Configurations page)
4. Run `ruby example.rb`

## Contributing

1. Fork it ( http://github.com/prevoty/prevoty-ruby/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
