# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'prevoty/version'

Gem::Specification.new do |spec|
  spec.name          = "prevoty"
  spec.version       = Prevoty::VERSION
  spec.authors       = ["Joe Rozner"]
  spec.email         = ["joe@prevoty.com"]
  spec.summary       = %q{Pevoty API client for Ruby}
  spec.description   = %q{Implementation of the Prevoty API}
  spec.homepage      = "https://www.prevoty.com"
  spec.license       = "Apache-2.0"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "httparty", "~> 0.13"

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "pry", "~> 0.10"
  spec.add_development_dependency "yard", "~> 0.8"
end
